Bug 129652 - xcdroast hangs 2xAthlon-MP on scan
xcdroast hangs 2xAthlon-MP on scan
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xcdroast (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-11 10:28 EDT by Dmitri A. Sergatskov
Modified: 2008-05-06 20:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:00:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
last few lines of "strace xcdroast" output (3.28 KB, text/plain)
2004-08-11 10:29 EDT, Dmitri A. Sergatskov
no flags Details

  None (edit)
Description Dmitri A. Sergatskov 2004-08-11 10:28:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
The problem occur on ASUS A7M266-D dual athlon-MP computer.
Fedora Core 2 + all updates  (2004-08-10).
When first started, xcdroast scans for devices. It results in computer
hang up requireing a power cycle to reboot. It hangs apparently at the 
very end of the scan -- all relevant devices do show up in the xcdroast 
window, but the line "The scan finished completely" never does.
I attach the last few lines of "strace xcdrost" leading to the crash.
The "cdrecord -scanbus -dev=ATAPI" finishes and detects all devices
correctly. k3b hangs computer in the same manner, but I have not
investigated it as much as xcdroast.
No error messages in /var/log/messages.
Xcdroast works fine on a very similar Tyan Tiger MP S2460 system
(it has only one CDROM though).
Everything worked as expected with RedHat 9 installed.

Version-Release number of selected component (if applicable):
xcdroast-0.98a15-2

How reproducible:
Always

Steps to Reproduce:
1.start xcdroast (as root)
2.
3.
    

Actual Results:  xcdroast starts, the "Scanning the bus" windows
pops-up, it finds all
3 ATAPI CD-ROMs (CD-ROM, CD-RW, DVD), then freezes -- no keyboard
response, no ping response.

Expected Results:  scan finishes correctly.

Additional info:

This is ASUS A7M266-D dual Athlon-MP with Bios #1010 (the latest),
It has old Promise ATA66 controller. hda - harddrive (MAXTOR 6L060J3)
hdc -  COMPAQ DVD-ROM SD-608, hde - SONY CD-RW CRX185E1, hdg -
SONY CD-ROM CDU5221. lspci:
00:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-760 MP [IGD4-2P]
System Co ntroller (rev 11)
00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-760 MP [IGD4-2P]
AGP Bridge
00:07.0 ISA bridge: Advanced Micro Devices [AMD] AMD-768 [Opus] ISA
(rev 04)
00:07.1 IDE interface: Advanced Micro Devices [AMD] AMD-768 [Opus] IDE
(rev 04)
00:07.3 Bridge: Advanced Micro Devices [AMD] AMD-768 [Opus] ACPI (rev 03)
00:08.0 USB Controller: NEC Corporation USB (rev 41)
00:08.1 USB Controller: NEC Corporation USB (rev 41)
00:08.2 USB Controller: NEC Corporation USB 2.0 (rev 02)
00:09.0 Serial controller: 5610 56K FaxModem 56K FaxModem Model 5610
(rev 01)
00:10.0 PCI bridge: Advanced Micro Devices [AMD] AMD-768 [Opus] PCI
(rev 04)
01:05.0 VGA compatible controller: nVidia Corporation NV11DDR
[GeForce2 MX 100 D DR/200 DDR] (rev b2)
02:04.0 Multimedia audio controller: C-Media Electronics Inc CM8738
(rev 10)
02:06.0 RAID bus controller: Promise Technology, Inc. 20246 (rev 01)
02:08.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139 C+ (rev 10)
Comment 1 Dmitri A. Sergatskov 2004-08-11 10:29:21 EDT
Created attachment 102607 [details]
last few lines of "strace xcdroast" output
Comment 2 Harald Hoyer 2004-08-16 06:32:55 EDT
hmm, freezing means, the kernel failed...
Comment 3 Arjan van de Ven 2004-08-16 06:35:44 EDT
this is a xcdroad problem, it calls --scanbus AND uses a non-prefered
"know what you're doing" backdoor into the IDE subsystem. It shouldn't
do that.
Comment 4 Matthew Miller 2005-04-26 12:25:32 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Bug Zapper 2008-04-03 11:37:56 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 20:00:18 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.